Get Contract
curl --request POST \
--url https://{host}/Agent/Legal/GetContract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contractId": "<string>",
"format": "<string>"
}
'import requests
url = "https://{host}/Agent/Legal/GetContract"
payload = {
"contractId": "<string>",
"format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contractId: '<string>', format: '<string>'})
};
fetch('https://{host}/Agent/Legal/GetContract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Contract": {}
}Legal and contracts
Get Contract
Allows the client to get a Smart Contract.
POST
/
Agent
/
Legal
/
GetContract
Get Contract
Overview
Allows the client to get a Smart Contract. If the Contract belongs to someone else, and the client is not authorized access to the Contract, an error will be returned. Note: Neurons are federated. You can get contracts created on other neurons through this API on the neuron you have your account on. Federated means that the neurons interconnect to share authorized information, when requested, and permitted.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.⌘I